diff a/src/hotspot/share/ci/ciObjArray.cpp b/src/hotspot/share/ci/ciObjArray.cpp
--- a/src/hotspot/share/ci/ciObjArray.cpp
+++ b/src/hotspot/share/ci/ciObjArray.cpp
@@ -25,10 +25,11 @@
 #include "precompiled.hpp"
 #include "ci/ciNullObject.hpp"
 #include "ci/ciObjArray.hpp"
 #include "ci/ciUtilities.inline.hpp"
 #include "oops/objArrayOop.inline.hpp"
+#include "oops/oop.inline.hpp"
 
 // ciObjArray
 //
 // This class represents an objArrayOop in the HotSpot virtual
 // machine.
@@ -42,5 +43,10 @@
     return ciNullObject::make();
   } else {
     return CURRENT_ENV->get_object(o);
   }
 }
+
+bool ciObjArray::is_null_free() {
+  VM_ENTRY_MARK;
+  return get_objArrayOop()->is_null_free_array();
+}
